IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2002:be00::/24- First address
2002:be00::- Last address
2002:beff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2002:be00:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
e.b.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:be00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:be00::/32 | 2002:be00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:be01::/32 | 2002:be01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:be02::/32 | 2002:be02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:be03::/32 | 2002:be03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:be04::/32 | 2002:be04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:be05::/32 | 2002:be05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:be06::/32 | 2002:be06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:be07::/32 | 2002:be07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:be08::/32 | 2002:be08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:be09::/32 | 2002:be09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:be0a::/32 | 2002:be0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:be0b::/32 | 2002:be0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:be0c::/32 | 2002:be0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:be0d::/32 | 2002:be0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:be0e::/32 | 2002:be0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:be0f::/32 | 2002:be0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:be10::/32 | 2002:be10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:be11::/32 | 2002:be11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:be12::/32 | 2002:be12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:be13::/32 | 2002:be13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:be14::/32 | 2002:be14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:be15::/32 | 2002:be15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:be16::/32 | 2002:be16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:be17::/32 | 2002:be17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:be18::/32 | 2002:be18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:be19::/32 | 2002:be19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:be1a::/32 | 2002:be1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:be1b::/32 | 2002:be1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:be1c::/32 | 2002:be1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:be1d::/32 | 2002:be1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:be1e::/32 | 2002:be1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:be1f::/32 | 2002:be1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:be20::/32 | 2002:be20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:be21::/32 | 2002:be21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:be22::/32 | 2002:be22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:be23::/32 | 2002:be23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:be24::/32 | 2002:be24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:be25::/32 | 2002:be25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:be26::/32 | 2002:be26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:be27::/32 | 2002:be27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:be28::/32 | 2002:be28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:be29::/32 | 2002:be29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:be2a::/32 | 2002:be2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:be2b::/32 | 2002:be2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:be2c::/32 | 2002:be2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:be2d::/32 | 2002:be2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:be2e::/32 | 2002:be2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:be2f::/32 | 2002:be2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:be30::/32 | 2002:be30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:be31::/32 | 2002:be31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:be32::/32 | 2002:be32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:be33::/32 | 2002:be33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:be34::/32 | 2002:be34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:be35::/32 | 2002:be35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:be36::/32 | 2002:be36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:be37::/32 | 2002:be37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:be38::/32 | 2002:be38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:be39::/32 | 2002:be39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:be3a::/32 | 2002:be3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:be3b::/32 | 2002:be3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:be3c::/32 | 2002:be3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:be3d::/32 | 2002:be3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:be3e::/32 | 2002:be3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:be3f::/32 | 2002:be3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:be40::/32 | 2002:be40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:be41::/32 | 2002:be41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:be42::/32 | 2002:be42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:be43::/32 | 2002:be43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:be44::/32 | 2002:be44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:be45::/32 | 2002:be45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:be46::/32 | 2002:be46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:be47::/32 | 2002:be47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:be48::/32 | 2002:be48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:be49::/32 | 2002:be49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:be4a::/32 | 2002:be4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:be4b::/32 | 2002:be4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:be4c::/32 | 2002:be4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:be4d::/32 | 2002:be4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:be4e::/32 | 2002:be4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:be4f::/32 | 2002:be4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:be50::/32 | 2002:be50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:be51::/32 | 2002:be51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:be52::/32 | 2002:be52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:be53::/32 | 2002:be53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:be54::/32 | 2002:be54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:be55::/32 | 2002:be55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:be56::/32 | 2002:be56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:be57::/32 | 2002:be57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:be58::/32 | 2002:be58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:be59::/32 | 2002:be59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:be5a::/32 | 2002:be5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:be5b::/32 | 2002:be5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:be5c::/32 | 2002:be5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:be5d::/32 | 2002:be5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:be5e::/32 | 2002:be5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:be5f::/32 | 2002:be5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:be60::/32 | 2002:be60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:be61::/32 | 2002:be61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:be62::/32 | 2002:be62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:be63::/32 | 2002:be63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:be64::/32 | 2002:be64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:be65::/32 | 2002:be65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:be66::/32 | 2002:be66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:be67::/32 | 2002:be67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:be68::/32 | 2002:be68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:be69::/32 | 2002:be69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:be6a::/32 | 2002:be6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:be6b::/32 | 2002:be6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:be6c::/32 | 2002:be6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:be6d::/32 | 2002:be6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:be6e::/32 | 2002:be6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:be6f::/32 | 2002:be6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:be70::/32 | 2002:be70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:be71::/32 | 2002:be71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:be72::/32 | 2002:be72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:be73::/32 | 2002:be73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:be74::/32 | 2002:be74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:be75::/32 | 2002:be75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:be76::/32 | 2002:be76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:be77::/32 | 2002:be77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:be78::/32 | 2002:be78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:be79::/32 | 2002:be79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:be7a::/32 | 2002:be7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:be7b::/32 | 2002:be7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:be7c::/32 | 2002:be7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:be7d::/32 | 2002:be7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:be7e::/32 | 2002:be7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:be7f::/32 | 2002:be7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:be80::/32 | 2002:be80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:be81::/32 | 2002:be81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:be82::/32 | 2002:be82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:be83::/32 | 2002:be83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:be84::/32 | 2002:be84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:be85::/32 | 2002:be85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:be86::/32 | 2002:be86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:be87::/32 | 2002:be87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:be88::/32 | 2002:be88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:be89::/32 | 2002:be89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:be8a::/32 | 2002:be8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:be8b::/32 | 2002:be8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:be8c::/32 | 2002:be8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:be8d::/32 | 2002:be8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:be8e::/32 | 2002:be8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:be8f::/32 | 2002:be8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:be90::/32 | 2002:be90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:be91::/32 | 2002:be91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:be92::/32 | 2002:be92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:be93::/32 | 2002:be93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:be94::/32 | 2002:be94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:be95::/32 | 2002:be95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:be96::/32 | 2002:be96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:be97::/32 | 2002:be97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:be98::/32 | 2002:be98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:be99::/32 | 2002:be99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:be9a::/32 | 2002:be9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:be9b::/32 | 2002:be9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:be9c::/32 | 2002:be9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:be9d::/32 | 2002:be9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:be9e::/32 | 2002:be9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:be9f::/32 | 2002:be9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:bea0::/32 | 2002:bea0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:bea1::/32 | 2002:bea1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:bea2::/32 | 2002:bea2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:bea3::/32 | 2002:bea3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:bea4::/32 | 2002:bea4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:bea5::/32 | 2002:bea5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:bea6::/32 | 2002:bea6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:bea7::/32 | 2002:bea7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:bea8::/32 | 2002:bea8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:bea9::/32 | 2002:bea9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:beaa::/32 | 2002:beaa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:beab::/32 | 2002:beab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:beac::/32 | 2002:beac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:bead::/32 | 2002:bead:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:beae::/32 | 2002:beae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:beaf::/32 | 2002:beaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:beb0::/32 | 2002:beb0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:beb1::/32 | 2002:beb1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:beb2::/32 | 2002:beb2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:beb3::/32 | 2002:beb3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:beb4::/32 | 2002:beb4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:beb5::/32 | 2002:beb5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:beb6::/32 | 2002:beb6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:beb7::/32 | 2002:beb7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:beb8::/32 | 2002:beb8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:beb9::/32 | 2002:beb9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:beba::/32 | 2002:beba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:bebb::/32 | 2002:bebb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:bebc::/32 | 2002:bebc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:bebd::/32 | 2002:bebd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:bebe::/32 | 2002:bebe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:bebf::/32 | 2002:bebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:bec0::/32 | 2002:bec0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:bec1::/32 | 2002:bec1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:bec2::/32 | 2002:bec2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:bec3::/32 | 2002:bec3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:bec4::/32 | 2002:bec4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:bec5::/32 | 2002:bec5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:bec6::/32 | 2002:bec6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:bec7::/32 | 2002:bec7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:bec8::/32 | 2002:bec8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:bec9::/32 | 2002:bec9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:beca::/32 | 2002:beca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:becb::/32 | 2002:becb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:becc::/32 | 2002:becc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:becd::/32 | 2002:becd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:bece::/32 | 2002:bece:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:becf::/32 | 2002:becf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:bed0::/32 | 2002:bed0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:bed1::/32 | 2002:bed1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:bed2::/32 | 2002:bed2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:bed3::/32 | 2002:bed3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:bed4::/32 | 2002:bed4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:bed5::/32 | 2002:bed5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:bed6::/32 | 2002:bed6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:bed7::/32 | 2002:bed7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:bed8::/32 | 2002:bed8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:bed9::/32 | 2002:bed9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:beda::/32 | 2002:beda:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:bedb::/32 | 2002:bedb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:bedc::/32 | 2002:bedc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:bedd::/32 | 2002:bedd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:bede::/32 | 2002:bede:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:bedf::/32 | 2002:bedf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:bee0::/32 | 2002:bee0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:bee1::/32 | 2002:bee1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:bee2::/32 | 2002:bee2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:bee3::/32 | 2002:bee3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:bee4::/32 | 2002:bee4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:bee5::/32 | 2002:bee5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:bee6::/32 | 2002:bee6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:bee7::/32 | 2002:bee7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:bee8::/32 | 2002:bee8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:bee9::/32 | 2002:bee9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:beea::/32 | 2002:beea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:beeb::/32 | 2002:beeb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:beec::/32 | 2002:beec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:beed::/32 | 2002:beed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:beee::/32 | 2002:beee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:beef::/32 | 2002:beef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:bef0::/32 | 2002:bef0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:bef1::/32 | 2002:bef1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:bef2::/32 | 2002:bef2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:bef3::/32 | 2002:bef3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:bef4::/32 | 2002:bef4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:bef5::/32 | 2002:bef5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:bef6::/32 | 2002:bef6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:bef7::/32 | 2002:bef7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:bef8::/32 | 2002:bef8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:bef9::/32 | 2002:bef9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:befa::/32 | 2002:befa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:befb::/32 | 2002:befb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:befc::/32 | 2002:befc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:befd::/32 | 2002:befd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:befe::/32 | 2002:befe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:beff::/32 | 2002:beff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |